{
    "class": "Workflow",
    "inputs": [
        {
            "type": {
                "type": "array",
                "items": "string"
            },
            "id": "#main/inp"
        }
    ],
    "requirements": [
        {
            "class": "ScatterFeatureRequirement"
        }
    ],
    "steps": [
        {
            "in": [
                {
                    "source": "#main/inp",
                    "id": "#main/step1/echo_in"
                }
            ],
            "out": [
                "#main/step1/echo_out"
            ],
            "scatter": "#main/step1/echo_in",
            "run": {
                "class": "CommandLineTool",
                "inputs": [
                    {
                        "type": "string",
                        "inputBinding": {},
                        "id": "#main/step1/631e1ca9-0f31-407a-9f7a-5ed959460c4a/echo_in"
                    }
                ],
                "outputs": [
                    {
                        "type": "string",
                        "outputBinding": {
                            "glob": "step1_out",
                            "loadContents": true,
                            "outputEval": "$(self[0].contents)"
                        },
                        "id": "#main/step1/631e1ca9-0f31-407a-9f7a-5ed959460c4a/echo_out"
                    }
                ],
                "baseCommand": "echo",
                "arguments": [
                    "-n",
                    "foo"
                ],
                "stdout": "step1_out",
                "id": "#main/step1/631e1ca9-0f31-407a-9f7a-5ed959460c4a"
            },
            "id": "#main/step1"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": {
                "type": "array",
                "items": "string"
            },
            "outputSource": "#main/step1/echo_out",
            "id": "#main/out"
        }
    ],
    "cwlVersion": "v1.0"
}
